Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique











Abonnez-vous gratuitement à notre NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Se désabonner

Vigil@nce : GIMP, buffer overflow de Script-Fu Server

juin 2012 par Vigil@nce

Ce bulletin a été rédigé par Vigil@nce : http://vigilance.fr/offre

SYNTHÈSE DE LA VULNÉRABILITÉ

Lorsque le serveur Script-Fu est activé sur GIMP, un attaquant peut y envoyer une requête trop longue, afin de provoquer un buffer overflow, conduisant à un déni de service ou à l’exécution de code.

- Gravité : 2/4
- Date création : 31/05/2012

PRODUITS CONCERNÉS

- GIMP

DESCRIPTION DE LA VULNÉRABILITÉ

Le serveur Script-Fu de GIMP permet à une application externe d’employer le langage Scheme pour manipuler une image. Ce serveur écoute sur le port 10008/tcp. Il n’est pas activé par défaut.

Le protocole utilise un entête composé :
- du caractère ’G’
- de deux octets indiquant la taille des données Scheme Ensuite, le code Scheme est envoyé.

Cependant, si une instruction Scheme trop longue est envoyée vers Script-Fu, un débordement se produit.

Lorsque le serveur Script-Fu est activé sur GIMP, un attaquant peut donc y envoyer une requête trop longue, afin de provoquer un buffer overflow, conduisant à un déni de service ou à l’exécution de code.

ACCÈS AU BULLETIN VIGIL@NCE COMPLET

http://vigilance.fr/vulnerabilite/G...




Voir les articles précédents

    

Voir les articles suivants